<?xml version="1.0" encoding="windows-1251"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:common="http://common.bitel.ru">
	<xsl:import href="layout.xsl" />
	<xsl:template name="title">
		<xsl:choose>
			<xsl:when
				test="data/common:result/attributes/item[@key='change']/value/text()">
				Dr.Web AV-Desk -  
			</xsl:when>
			<xsl:when test="data/@action = 'GetUrl'">
				Dr.Web AV-Desk - 
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="/data">
		<xsl:choose>
			<xsl:when test="common:result/attributes/item[@key='change']/value/text()">
				<xsl:call-template name="change" />
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="GetUrl" />
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<!--    -->
	<xsl:template name="GetUrl">
		<xsl:if test="common:result/attributes/item[@key='error']/value/text()">
			<xsl:call-template name="error">
				<xsl:with-param name="text">
					<xsl:value-of
						select="common:result/attributes/item[@key='error']/value/text()" />
				</xsl:with-param>
			</xsl:call-template>
		</xsl:if>
		<xsl:variable name="module" select="/data/@module" />
		<xsl:variable name="mid" select="/data/@mid" />
		<xsl:variable name="step"
			select="common:result/attributes/item[@key='step']/value/text()" />
		<xsl:variable name="url"
			select="common:result/attributes/item[@key='url']/value/text()" />
		<div class="report" style="width:800px">
			<table cellspacing='1' style="width:100%">
				<head>
					<tr>
						<td></td>
						<td>  </td>
						<td></td>
						<td> </td>
						<td></td>
					</tr>
				</head>
				<body>
					<xsl:for-each select="common:result/data/item">
						<tr>
							<td>
								<a title="CSV"
									href="{$WEBEXECUTER}?module=drweb&amp;mid={/data/@mid}&amp;action=GetUrl&amp;operation=change&amp;agentId={@id}">
									<xsl:value-of select="@description" />
									<br/>(<xsl:value-of select="@agentUUID" />)
								</a>
							</td>
							<td align="center">
							<a>
								<xsl:attribute name="href" >
									<xsl:value-of select="@url" />
								</xsl:attribute>
								
							</a>
							</td>
							<td>
								<xsl:value-of 
								select="@tariffTitle" />
							</td>
							<td align="center">
								<xsl:value-of select="@statusString" />
							</td>
							<td align="center">
								<xsl:value-of select="@nextStatusString" />
							</td>
						</tr>
					</xsl:for-each>
				</body>
			</table>
			<br />
			<xsl:choose>
				<xsl:when test="$step= '1' ">
					<table cellspacing='1' style="width:100%">
						<body>
							<tr>
								<th>   </th>
								<td>
									<xsl:value-of 	select="common:result/attributes/item[@key='agent']/value/@description" />
									(
									<xsl:value-of
										select="common:result/attributes/item[@key='agent']/value/@agentUUID" />
									)
								</td>
							</tr>
							<tr>
								<th>  </th>
								<td>
										<a>
											<xsl:attribute name="href" >
												<xsl:value-of select="common:result/attributes/item[@key='agent']/value/@url" />
											</xsl:attribute>
											
										</a>
								</td>
							</tr>
						</body>
					</table>
				</xsl:when>
				<xsl:when test="$step= '0' ">
					<div>
						<form method='post' action='{$WEBEXECUTER}'>
							<input type="hidden" name="step" value="1" />
							<select>
								<xsl:attribute name="name">tariff</xsl:attribute>
								<xsl:for-each
									select="common:result/attributes/item[@key='tariffs']/value/item">
									<option value="{@id}">
										<xsl:value-of select="@title" />
									</option>
								</xsl:for-each>
							</select>
							<br />
							<br />

							<xsl:call-template name="action" />
							
							<script language="javascript" type="text/javascript">
							<xsl:text disable-output-escaping="yes">
							<![CDATA[
							function checkAndSubmit()
							{
								var elem = document.getElementById('licenseYes');
								if(!elem.checked)
								{
									alert("     ");
								}
								else
								{
									elem.form.submit();
								}
							}
								]]>
							</xsl:text>
						</script>
							 
							<a href="#" onclick="window.open('drweb_license.pdf', 'popup', 'width=640, height=600')">
								  
							</a>
							  '<b>    </b>'    ,      .
							<br/>
							<input type="checkbox" id="licenseYes"><b>    </b></input>
							<br/>
							<br/>
							<xsl:call-template name="button" >
								<xsl:with-param name="title" select="' Dr.Web'" />
								<xsl:with-param name="onclick" select="'checkAndSubmit()'" />
							</xsl:call-template>
						</form>
						
					</div>
				</xsl:when>
			</xsl:choose>
		</div>
	</xsl:template>


	<xsl:template name="change">
	<xsl:if test="common:result/attributes/item[@key='error']/value/text()">
			<xsl:call-template name="error">
				<xsl:with-param name="text">
					<xsl:value-of
						select="common:result/attributes/item[@key='error']/value/text()" />
				</xsl:with-param>
			</xsl:call-template>
		</xsl:if>
		<div class="report" style="width:800px">
		<table cellspacing='1' style="width:100%">
				<head>
					<tr>
						<td></td>
						<td>  </td>
						<td></td>
						<td> </td>
						<td></td>
					</tr>
				</head>
				<body>
						<tr>
							<td>
								(<xsl:value-of select="common:result/attributes/item[@key='agent']/value/@agentUUID" />)
							</td>
							<td align="center">
							<a>
								<xsl:attribute name="href" >
									<xsl:value-of select="common:result/attributes/item[@key='agent']/value/@url" />
								</xsl:attribute>
								
							</a>
							</td>
							<td>
								<xsl:value-of 
								select="common:result/attributes/item[@key='agent']/value/@tariffTitle" />
							</td>
							<td align="center">
								<xsl:value-of select="common:result/attributes/item[@key='agent']/value/@statusString" />
							</td>
							<td align="center">
								<xsl:value-of select="common:result/attributes/item[@key='agent']/value/@nextStatusString" />
							</td>
						</tr>
				</body>
			</table>
			<br />
			<form method='get' action='{$WEBEXECUTER}'>
				<table cellspacing='1' style="width:100%">
					<body>
						<tr >
							<td style="text-align:left;">
								<input type="radio" name="operation" value="changeTariff"/>
								  
								<select>
										<xsl:attribute name="name">tariff</xsl:attribute>
										<xsl:for-each
											select="common:result/attributes/item[@key='tariffs']/value/item">
											<option value="{@groupTitle}">
										
												<xsl:value-of select="@title" />
											</option>
										</xsl:for-each>
									</select>
								
							</td >
							<td  style="text-align:left;">
								<input type="radio" name="operation" value="block"/>
								   
									<select name='monthCount'>
										<option value="1">1  </option>
										<option value="2">2 </option>
										<option value="3">3 </option>
									</select>
								
							</td>
						</tr>
						<tr>
							<td  style="text-align:left;">
								<input type="radio" name="operation" value="active"/>
								 
							</td>
							<td  style="text-align:left;">
								<input type="radio" name="operation" value="delete"/>
								 
							</td>
						</tr>
					</body>
				</table>
				<br/>
				<input type="hidden" name="agentId"
									value="{common:result/attributes/item[@key='agent']/value/@id}" />
				<xsl:call-template name="action" />
				<xsl:call-template name="submit">
					<xsl:with-param name="title" select="" />
				</xsl:call-template>
				</form>
			</div>
	</xsl:template>
</xsl:stylesheet>